## glib2.0 2.84.4

=== debian/changelog ===
glib2.0 (2.84.4-3~deb13u1) trixie; urgency=medium

  * Go back to debian/trixie branch for a stable update
  * d/tests/manual/1065022.sh: Update manual test script used to reproduce
    and test fixes for #1065022
    - Adapt to upgrade from bookworm to trixie, rather than bookworm to sid
    - Optionally reproduce #1110696 instead
    - Optionally test the extra safety checks in the postrm
    - Add a simpler mechanism to test proposed packages for either
      bookworm or trixie
    - Improve diagnostic output

 -- Simon McVittie <smcv@debian.org>  Mon, 18 Aug 2025 09:30:17 +0100

glib2.0 (2.84.4-3) unstable; urgency=medium

  * d/control: Generate the intended Provides in libgirepository-2.0-0

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Aug 2025 17:30:44 +0100

glib2.0 (2.84.4-2) unstable; urgency=medium

  * Mention #1110640 in previous changelog entry
  * libgirepository-2.0-0: Generate a dependency on a virtual package
    for libffi-related symbols, to avoid trouble during future libffi ABI
    transitions (Closes: #1110825)
  * libglib2.0-0t64: Make maintainer scripts shellcheck-clean
  * libglib2.0-0t64.postrm:
    - Refactor to use functions that early-return if we do not want to
      do the cleanup, avoiding stacking conditionals
    - Don't remove cache files if they would be non-empty,
      guarding against issues similar to #1065022 and #1110696
      (mitigates: #1110696)
  * libglib2.0-0t64.preinst: Disarm libglib2.0-0 postrm for all
    architectures, avoiding a corner case where the faulty postrm that
    suffered from #1065022 would still exist if it belonged to a former
    foreign architecture that was already disabled, but libglib2.0-0
    from that architecture was still in removed-but-not-purged state,
    resulting in #1065022 recurring when that version of libglib2.0-0
    was subsequently purged (Closes: #1110696)
  * d/tests/1065022-futureproofing:
    - Fix a test regression by generating a versioned Provides when
      building a mockup of a hypothetical future libglib2.0-0xyz.
      This regression wasn't immediately obvious because the autopkgtest
      is marked as flaky (it depends on various implementation details
      which we can't completely rely on).
    - Make sure required packages stay installed, failing the test early
      if their dependencies cannot be satisfied
    - Produce only TAP output on stdout, and a diagnostic log on stderr
    - Improve diagnostic output

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Aug 2025 10:01:06 +0100

glib2.0 (2.84.4-1) unstable; urgency=medium

  * d/control, d/gbp.conf: Use debian/forky packaging branch.
    The debian/latest branch is now tracking 2.85.x for Debian
    experimental.
  * New upstream stable release
    - Ensure that generating temporary file names does not access memory
      outside the intended array of alphanumeric characters if a long-running
      program generates billions of temporary file names
      (CVE-2025-7039, glib#3716 upstream; believed to be unlikely to be
      exploitable in practice. Closes: #1110640)
    - Fix the intended ability for g_settings_bind_with_mapping_closures()
      to copy a value to the destination object
      (glib!4667 upstream)
    - If creating a thread pool fails, report a recoverable error instead
      of crashing with a fatal error
      (glib#3712 upstream)
    - Fix several memory leaks
      (glib#3721, glib!4702 upstream)

 -- Simon McVittie <smcv@debian.org>  Fri, 08 Aug 2025 19:13:23 +0100
