## glib2.0 2.85.1

=== debian/changelog ===
glib2.0 (2.85.1-2) experimental; urgency=medium

  * Backport patch fixing deadlock regression

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 09 Jul 2025 15:42:53 +0200

glib2.0 (2.85.1-1) experimental; urgency=medium

  * New upstream release
  * debian/*.symbols: Add new symbols
  * Remove gfileutils-Preserve-mode-during-atomic-updates.patch:
    applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 03 Jul 2025 11:35:13 -0400
