## glib2.0 2.85.2

=== debian/changelog ===
glib2.0 (2.85.2-2) experimental; urgency=medium

  * Backport patches to fix racy GMemoryMonitor as detected by build-time tests

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 30 Jul 2025 18:35:13 +0200

glib2.0 (2.85.2-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * debian/patches: Drop patch applied upstream
  * debian/patches: Refresh
  * debian/libglib2.0-0t64.symbols: Add new symbols

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 30 Jul 2025 13:02:02 +0200
