## glib2.0 2.85.3

=== debian/changelog ===
glib2.0 (2.85.3-1) experimental; urgency=medium

  * New upstream development release
  * d/copyright: Update
  * Merge packaging from unstable (Closes: #1110825, #1110696)

 -- Simon McVittie <smcv@debian.org>  Mon, 18 Aug 2025 20:00:49 +0100
