=== debian/watch ===
--- 
+++ 
@@ -1,7 +1,7 @@
 version=4
 opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
 https://download.gnome.org/sources/glib/cache.json \
-	[\d.]+[02468]/glib-@ANY_VERSION@@ARCHIVE_EXT@
+	[\d.]+/glib-@ANY_VERSION@@ARCHIVE_EXT@
 #opts="mode=git,compression=xz" \
 #https://gitlab.gnome.org/GNOME/glib.git \
 #refs/tags/@ANY_VERSION@
