## glib2.0 2.85.4

=== debian/changelog ===
glib2.0 (2.85.4-1) experimental; urgency=medium

  * New upstream development release

 -- Simon McVittie <smcv@debian.org>  Fri, 22 Aug 2025 17:28:13 +0100
