## glib2.0 2.86.0

=== debian/changelog ===
glib2.0 (2.86.0-5) unstable; urgency=medium

  * d/control: gir1.2-glib-2.0 Breaks older versions of gnome-menus
  * Release to unstable (transition: #1115340)

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Oct 2025 14:54:02 +0100

glib2.0 (2.86.0-4) experimental; urgency=medium

  [ Simon McVittie ]
  * d/p/gio-tests-Factor-out-connection_wait_for_bus-from-gdbus-s.patch,
    d/p/gio-tests-Avoid-a-race-condition.patch,
    d/p/gio-tests-Convert-the-time-to-wait-for-expected-signal-in.patch,
    d/p/gio-tests-Wait-up-to-10-seconds-for-a-signal-to-be-receiv.patch:
    Add proposed patches to fix a test failure seen on s390x
    (Closes: #1115617)
  * d/libglib2.0-0t64.symbols: g_memory_monitor_poll_get_type()
    is Linux-only

  [ Jeremy Bícha ]
  * libglib2.0-doc: Remove Suggests: devhelp

 -- Simon McVittie <smcv@debian.org>  Fri, 19 Sep 2025 14:23:19 +0100

glib2.0 (2.86.0-3) experimental; urgency=medium

  * d/control: Update gir1.2-glib-2.0 Breaks on cinnamon.
    6.4.10-3 was never uploaded, and 6.4.12-1 is the first version that
    included the necessary changes to be compatible with GLib 2.86.
  * d/control: Reduce Breaks on gnome-shell to 48.5-2.
    The necessary changes have been backported. In the 48.5-2 packaging,
    I've set it up to have a versioned dependency on gir1.2-glib-2.0
    (>= 2.86) or (<< 2.86) depending which one it was compiled against,
    so that it can be binNMU'd.
  * d/control: Add a versioned Breaks on libgjs0g, not just libgjs0.
    Version 1.82.3-2 has backports of the changes that make gjs 1.86.0
    compatible with GLib 2.86.
  * d/control: gir1.2-glib-2.0 Breaks awesome, due to #1115591.
    This assumes that the next maintainer upload or NMU of awesome will
    address #1115591.
  * d/patches: Update to glib-2-86 branch commit 2.86.0-53-g043d14fdd3

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Sep 2025 17:29:26 +0100

glib2.0 (2.86.0-2) experimental; urgency=medium

  * debian/control: Add breaks to gir on cinnamon << 6.4.10-3.
    Cinnamon requires being rebuilt and adjusted to work with newer glib
    typelibs

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 12 Sep 2025 04:01:08 +0200

glib2.0 (2.86.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Refresh patches
  * Remove obsolete Rules-Requires-Root: no field
  * Remove a reference to the debian/forky branch

  [ Simon McVittie ]
  * Standards-Version: 4.7.2 (no changes required)

  [ Marco Trevisan (Treviño) ]
  * debian/control:
    - Add breaks on GLib gir for libgjs0 << 1.85.90
    - Add breaks on GLib gir for python3-gi << 3.50.0-5
    - Add a Breaks to gir1.2-glib-2.0 on gnome-shell << 49~rc
  * debian/patches: Introspect missing GObject type classes ref methods
  * debian/libglib2.0-tests.lintian-overrides: Ignore testprogramrunner warn

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 11 Sep 2025 14:01:28 +0200
