=== debian/control ===
--- 
+++ 
@@ -48,11 +48,10 @@
  cross-exe-wrapper <cross !nodoc>,
  gi-docgen (>= 2024.1) <!nodoc>,
  gobject-introspection (>= 1.80.0) <!nodoc>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.gnome.org/GNOME/glib
 Vcs-Browser: https://salsa.debian.org/gnome-team/glib
-Vcs-Git: https://salsa.debian.org/gnome-team/glib.git -b debian/trixie
+Vcs-Git: https://salsa.debian.org/gnome-team/glib.git
 
 Package: libglib2.0-0t64
 Replaces:
@@ -329,8 +328,6 @@
 Architecture: all
 Depends:
  ${misc:Depends},
-Suggests:
- devhelp,
 Multi-Arch: foreign
 Description: Documentation files for the GLib library
  GLib is a library containing many useful C routines for things such
@@ -371,3 +368,4 @@
  host-architecture-specific names.
  .
  For command-line compatibility with non-Debian-based GLib packaging,
+ the libglib2.0-dev package also provides versions of these tools for the
