## glib2.0 2.86.1

=== debian/changelog ===
glib2.0 (2.86.1-2) unstable; urgency=medium

  * d/p/gresolver-Fix-loopback-detection-of-IPv6-addresses.patch,
    d/p/glib-tests-regex-Add-a-future-proof-test-case-for-missing.patch,
    d/p/gregex-Handle-PCRE2_ERROR_MISSING_NUMBER_TERMINATOR-if-de.patch,
    d/p/tests-regex-Add-the-error-messages-to-tests.patch,
    d/p/gutils-Strip-all-trailing-slashes.patch:
    Add bug fixes from upstream glib-2-86 branch up to 2.86.1-8-g61384f791d.
    In particular this should fix test failures with pcre2 10.47
    (Closes: #1118572)
  * d/control: Drop B-D on docbook-xml, docbook-xsl, xsltproc.
    The man pages are now written in reStructuredText rather than Docbook
    XML, so we no longer need these.
  * d/control: Add comments clarifying the meaning of non-trivial build
    profile conditions
  * d/watch: Convert to uscan format v5

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Nov 2025 18:50:56 +0000

glib2.0 (2.86.1-1) unstable; urgency=medium

  * New upstream release
    - Functionally equivalent to 2.86.0-7
  * Drop patches that were included in the new upstream release

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Oct 2025 17:53:23 +0100

glib2.0 (2.86.0-7) unstable; urgency=medium

  * d/p/gtype-Use-transfer-none-for-types-un-ref-functions.patch,
    d/p/gopenuriportal-Fix-a-crash-when-the-file-can-t-be-opened.patch,
    d/p/gnetworkmonitorbase-Add-missing-notify-connectivity-signa.patch:
    Update to upstream glib-2-86 branch commit 2.86.0-89-gb97228a7c7,
    excluding CI-only changes.
    - d/p/gtype-Define-copy-and-free-functions-for-GTypeClass-and-G.patch:
      Remove patch. The issue was fixed differently upstream by
      d/p/gtype-Use-transfer-none-for-types-un-ref-functions.patch.
  * d/p/debian/girepository-Search-for-typelibs-in-the-pre-multiarch-pat.patch:
    Add patch adding support for the legacy pre-multiarch typelib path.
    This avoids pygobject 3.54 and gjs 1.86 being unable to load typelibs
    from that legacy location, which caused an autopkgtest failure in
    isenkram and a runtime failure in ibus-anthy. (Closes: #1099192)
  * Release to unstable now that #1115340 is complete

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Oct 2025 14:53:20 +0100

glib2.0 (2.86.0-6) experimental; urgency=low

  * d/p/gio-tests-Factor-out-connection_wait_for_bus-from-gdbus-s.patch,
    d/p/gio-tests-Avoid-a-race-condition.patch,
    d/p/gio-tests-Convert-the-time-to-wait-for-expected-signal-in.patch,
    d/p/gio-tests-Wait-up-to-10-seconds-for-a-signal-to-be-receiv.patch:
    Mark patches for #1115617 as having been applied upstream
  * d/patches: Update to upstream glib-2-86 branch, commit
    2.86.0-80-g344fceba86
    - Various bug fixes backported from 2.87 development
  * d/control: Bump Breaks on gnome-shell to 48.5-3.
    The testing migration software appears to be better at identifying
    suitable upgrade paths for A Breaks B (<< b) than it is at doing the same
    when B Depends A (<< a).
    (In this case, "A" is glib2.0 and "B" is gnome-shell.)
  * d/control: Increase Breaks on awesome to a version that really existed.
    Its compatibility with newer gir1.2-glib-2.0 was fixed in 4.3-8,
    and there was never a 4.3-7.1 upload.
  * d/control: Remove Breaks/Replaces on packages older than Debian 12.
    We only support single-release upgrades (Debian 12 -> 13 -> 14)
    so we certainly don't need Breaks on Debian 11 packages.
  * Upload to experimental to avoid disrupting #1115340

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Oct 2025 15:14:47 +0100
