=== debian/control ===
--- 
+++ 
@@ -6,13 +6,12 @@
  Jeremy Bícha <jbicha@ubuntu.com>,
  Marco Trevisan (Treviño) <marco@ubuntu.com>,
  Simon McVittie <smcv@debian.org>,
+# B-D on dbus-daemon, etc. if (!nocheck) || (!noinsttest)
 Build-Depends:
  dbus-daemon <!nocheck> <!noinsttest>,
  debhelper-compat (= 13),
  dh-sequence-gnome,
  dh-sequence-python3,
- docbook-xml,
- docbook-xsl,
  dpkg-dev (>= 1.22.5),
  gettext,
  libdbus-1-dev <!nocheck> <!noinsttest>,
@@ -30,8 +29,8 @@
  python3-docutils <!nodoc>,
  python3-packaging:native,
  python3:native,
- xsltproc,
  zlib1g-dev,
+# B-D-A on cross-exe-wrapper if (cross && !nogir)
 Build-Depends-Arch:
  cross-exe-wrapper <cross !nogir>,
  desktop-file-utils <!nocheck>,
@@ -44,6 +43,7 @@
  tzdata <!nocheck>,
  tzdata-legacy <!nocheck>,
  xterm <!nocheck>,
+# B-D-I on cross-exe-wrapper if (cross && !nodoc)
 Build-Depends-Indep:
  cross-exe-wrapper <cross !nodoc>,
  gi-docgen (>= 2024.1) <!nodoc>,
@@ -72,13 +72,8 @@
  shared-mime-info,
  xdg-user-dirs,
 Breaks:
- glib-networking-tests (<< 2.70.0~),
- gnome-keyring (<< 40.0-3~),
  gnome-shell (<< 44.9-2~),
- libedataserver-1.2-26 (<< 3.44.3-2~),
- libgladeui-2-6 (<< 3.22.2),
  libglib2.0-0 (<< 2.80.0-7~),
- libsoup2.4-tests (<< 2.72.0-3~),
 Suggests:
  low-memory-monitor,
 Multi-Arch: same
@@ -218,10 +213,8 @@
  ${shlibs:Depends},
 Breaks:
  libgio-2.0-dev (<< 2.83),
- libglib2.0-0-dbg (<< 2.51.4-1~),
 Replaces:
  libgio-2.0-dev (<< 2.83),
- libglib2.0-0-dbg (<< 2.51.4-1~),
 Suggests:
  gir1.2-glib-2.0-dev,
  libglib2.0-doc,
@@ -369,3 +362,7 @@
  .
  For command-line compatibility with non-Debian-based GLib packaging,
  the libglib2.0-dev package also provides versions of these tools for the
+ system's primary architecture, named without the architecture prefix.
+
+Package: libgirepository-2.0-0
+Architecture: any
