=== debian/watch ===
Version: 5

Source: https://download.gnome.org/sources/glib/cache.json
Matching-Pattern: [\d.]+/glib-@ANY_VERSION@@ARCHIVE_EXT@
Downloadurlmangle: s|cache.json||
Searchmode: plain
Uversionmangle: s/\.(alpha|beta|rc)/~$1/

# Update the version as needed to correspond to the version of Unicode
# data used to generate glib/gunichartables.h etc.
# Update and run the maintainer-update-unicode-data target in d/rules
# to verify
Component: unicode-data
Source: https://www.unicode.org/Public/zipped/
Matching-Pattern: (16\.0\.0)/?
Compression: xz
Downloadurlmangle: s#/?$#/UCD.zip#
Filenamemangle: s#.*/([^/]+)/?$#UCD-$1.zip#
Version-Schema: ignore
