## glib2.0 2.86.2

=== debian/changelog ===
glib2.0 (2.86.2-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Drop patches that were included in the new upstream release
  * d/watch: Only watch for stable (even-numbered) branches for now

 -- Simon McVittie <smcv@debian.org>  Wed, 19 Nov 2025 10:18:28 +0000
