=== debian/watch ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Version: 5
 
 Source: https://download.gnome.org/sources/glib/cache.json
-Matching-Pattern: [\d.]+/glib-@ANY_VERSION@@ARCHIVE_EXT@
+Matching-Pattern: [\d.]+[24680]/glib-@ANY_VERSION@@ARCHIVE_EXT@
 Downloadurlmangle: s|cache.json||
 Searchmode: plain
 Uversionmangle: s/\.(alpha|beta|rc)/~$1/
