## glib2.0 2.86.3

=== debian/changelog ===
glib2.0 (2.86.3-4) unstable; urgency=medium

  * Fix hurd build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 Jan 2026 07:59:38 -0500

glib2.0 (2.86.3-3) unstable; urgency=medium

  * Fix hurd build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 31 Dec 2025 18:35:13 -0500

glib2.0 (2.86.3-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Remove :native from Build-Depends: python3-packaging (Closes: #1124385)
  * Remove nosysprof build profile because libsysprof-capture-4-dev
    is built for all Linux architectures and does not require glib2.0
  * Remove kfreebsd reference
  * Override dh_gnome to avoid build warnings
  * Bump Standards Version to 4.7.3

  [ Simon McVittie ]
  * Mention #1122346, #1122347 in previous changelog entry
  * Mention CVE-2025-14512 in previous changelog entry now that it has
    been allocated

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 31 Dec 2025 10:32:42 -0500

glib2.0 (2.86.3-1) unstable; urgency=medium

  * New upstream security-fix release
    - Fix calculation of buffer sizes when escaping URI strings
      (CVE-2025-13601, glib#3827 upstream, Closes: #1121488)
    - Fix possible buffer underflow parsing GVariant strings/bytestrings
      (CVE-2025-14087, glib#3834 upstream, Closes: #1122347)
    - Fix integer overflow in file attribute escaping
      (CVE-2025-14512, glib#3845 upstream, Closes: #1122346)
    - Windows-specific changes not described in detail here

 -- Simon McVittie <smcv@debian.org>  Tue, 09 Dec 2025 13:31:14 +0000
