=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: glib2.0
 Section: libs
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders:
  Jeremy Bícha <jbicha@ubuntu.com>,
@@ -20,14 +19,14 @@
  libmount-dev [linux-any],
  libpcre2-dev,
  libselinux1-dev [linux-any],
- libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4] <!pkg.glib2.0.nosysprof>,
+ libsysprof-capture-4-dev (>= 3.38.0) [linux-any],
  libxml2-utils,
  linux-libc-dev [linux-any],
  meson (>= 1.4.0),
  pkgconf,
  python3-debian:native,
  python3-docutils <!nodoc>,
- python3-packaging:native,
+ python3-packaging,
  python3:native,
  zlib1g-dev,
 # B-D-A on cross-exe-wrapper if (cross && !nogir)
@@ -48,7 +47,7 @@
  cross-exe-wrapper <cross !nodoc>,
  gi-docgen (>= 2024.1) <!nodoc>,
  gobject-introspection (>= 1.80.0) <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gitlab.gnome.org/GNOME/glib
 Vcs-Browser: https://salsa.debian.org/gnome-team/glib
 Vcs-Git: https://salsa.debian.org/gnome-team/glib.git
@@ -165,11 +164,10 @@
  libmount-dev [linux-any],
  libpcre2-dev,
  libselinux1-dev [linux-any],
- libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4] <!pkg.glib2.0.nosysprof>,
+ libsysprof-capture-4-dev (>= 3.38.0) [linux-any],
  pkgconf,
  zlib1g-dev,
  ${misc:Depends},
- ${shlibs:Depends},
 Recommends:
  libgio-2.0-dev-bin (= ${binary:Version}),
  libglib2.0-bin (= ${binary:Version}),
@@ -209,8 +207,6 @@
  libglib2.0-bin (= ${binary:Version}),
  libglib2.0-dev-bin (= ${binary:Version}),
  ${misc:Depends},
- ${python3:Depends},
- ${shlibs:Depends},
 Breaks:
  libgio-2.0-dev (<< 2.83),
 Replaces:
@@ -285,7 +281,6 @@
  girepository-tools (= ${binary:Version}),
  libgio-2.0-dev-bin (= ${binary:Version}),
  ${misc:Depends},
- ${shlibs:Depends},
 Suggests:
  libgdk-pixbuf2.0-bin,
  libxml2-utils,
@@ -366,3 +361,11 @@
 
 Package: libgirepository-2.0-0
 Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Provides:
+ libgirepository-2.0-0-with-${local:libffiN} (= ${binary:Version}),
+Description: GLib runtime library for handling GObject introspection data
+ GLib is a library containing many useful C routines for things such
