=== debian/rules ===
#!/usr/bin/make -f

built_binaries := $(shell dh_listpackages)

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

# Ensure the build aborts when there are still references to undefined symbols
DEB_LDFLAGS_MAINT_APPEND += -Wl,-z,defs

# NB: do NOT use -Wl,--as-needed to build glib; for instance the link to
# pthread is carefully crafted to allow dlopen()ing pthread-using libs; see
# https://marc.info/?i=1257999019.21780.15.camel@marzipan aka
# https://mail.gnome.org/archives/gtk-devel-list/2009-November/msg00096.html
DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed

# Make the linker work a bit harder so dynamic loading can be done faster
DEB_LDFLAGS_MAINT_APPEND += -Wl,-O1

include /usr/share/dpkg/default.mk

%:
	dh $@

DEB_CONFIGURE_EXTRA_FLAGS =

# Can be dropped when we switch to dh compat 14
DEB_CONFIGURE_EXTRA_FLAGS += -Dauto_features=enabled

ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
# Properties of glibc. These are the same for all Debian architectures,
# and are auto-detected when doing a native build.
DEB_CONFIGURE_EXTRA_FLAGS += --cross-file=$(CURDIR)/debian/meson/libc-properties.ini

# The direction of stack growth varies between architectures.
ifneq ($(filter hppa,$(DEB_HOST_ARCH_CPU)),)
DEB_CONFIGURE_EXTRA_FLAGS += --cross-file=$(CURDIR)/debian/meson/stack-grows-up.ini
else
DEB_CONFIGURE_EXTRA_FLAGS += --cross-file=$(CURDIR)/debian/meson/stack-grows-down.ini
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
DEB_CONFIGURE_EXTRA_FLAGS += --cross-file=$(CURDIR)/debian/meson/linux.ini
endif
endif # cross-compiling

# This target can be run manually to verify that we have the source code
# for these files. If all goes well, it should result in no diff.
# This is not done automatically during the build, because it requires a
# git checkout of GLib.
maintainer-update-unicode-data:
	rm -f glib/gscripttable.h
	rm -f glib/gunibreak.h
	rm -f glib/gunichartables.h
	rm -f glib/gunidecomp.h
	rm -f glib/tests/casefold.txt
	rm -f glib/tests/casemap.txt
	$(CURDIR)/tools/update-unicode-data.sh $(CURDIR)/unicode-data 16.0.0

debian/extra-substvars:
	dpkg-architecture -c debian/extra-substvars.py > debian/extra-substvars

execute_before_dh_auto_configure: cross-tools

cross_tools = \
	gi-compile-repository \
	gi-decompile-typelib \
	gi-inspect-typelib \
	$(NULL)
cross-tools: debian/emulated-g-ir-tool.in debian/rules
	mkdir -p debian/cross-tools
	set -e; for tool in $(cross_tools); do \
		sed \
			-e 's|@DEB_HOST_GNU_TYPE@|$(DEB_HOST_GNU_TYPE)|' \
			-e 's|@TOOL_PATH@|/usr/lib/$(DEB_HOST_MULTIARCH)/glib-2.0/'"$$tool"'|' \
			< $< > debian/cross-tool.tmp; \
		chmod 0755 debian/cross-tool.tmp; \
		mv debian/cross-tool.tmp debian/cross-tools/$(DEB_HOST_GNU_TYPE)-$$tool; \
	done

override_dh_auto_configure:
	sed -e 's|@DEB_HOST_GNU_TYPE@|$(DEB_HOST_GNU_TYPE)|g' \
		< debian/meson/exe-wrapper.ini.in \
		> debian/meson/exe-wrapper.ini
	dh_auto_configure \
		--builddirectory=debian/build/deb \
		-- \
		$(DEB_CONFIGURE_EXTRA_FLAGS) \
		$(DEB_CONFIGURE_FLAGS_deb) \
		$(NULL)
ifneq ($(filter %-udeb,$(built_binaries)),)
	dh_auto_configure \
		--builddirectory=debian/build/udeb \
		-- \
		$(DEB_CONFIGURE_EXTRA_FLAGS) \
		$(DEB_CONFIGURE_FLAGS_udeb) \
		$(NULL)
endif

override_dh_clean:
	rm -rf $(CURDIR)/debian/build \
	       $(CURDIR)/debian/install
	dh_clean -Xorg.gtk.test.gschema.xml.orig -Xorg.gtk.test.gschema.override.orig

# We only use dh_gnome to automatically run dh_translations in Ubuntu
override_dh_gnome:

override_dh_makeshlibs:
ifneq ($(filter libglib2.0-tests,$(built_binaries)),)
	dh_makeshlibs -plibglib2.0-tests -n
endif
	dh_makeshlibs --remaining-packages --add-udeb=libglib2.0-udeb -- -c4

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xinstalled-tests

# (Ubuntu-specific)
# Don't strip translations from the installed tests; makes them environment dependent.
override_dh_translations:
	dh_translations -Xinstalled-tests

# Do not clutter $HOME with ~/.dbus-keyrings and avoid failure on the buildds
# where creating /home/buildd/.dbus-keyrings fails
export HOME=$(CURDIR)/debian/build

# Make sure that everything that uses D-Bus is creating its own temporary
# session rather than polluting the developer's (or failing, on buildds)
export DBUS_SESSION_BUS_ADDRESS=this-should-not-be-used-and-will-fail:

ifeq ($(DEB_HOST_ARCH_OS), linux)
handle_test_failure := exit $$?
else
handle_test_failure := true
endif

# Upstream test timeouts assume an otherwise unloaded system, but that
# isn't necessarily the case for a porterbox or multiple parallel builds.
# Keep the timeout reasonably short for architectures where interactive
# debugging is more likely, but extend it a lot on architectures that might
# be very slow or using qemu for buildds.
ifneq ($(filter amd64 i386,$(DEB_HOST_ARCH_CPU)),)
test_timeout_multiplier = 3
else
test_timeout_multiplier = 20
endif

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Remove LD_PRELOAD so we don't run with fakeroot, which makes dbus-related tests fail
	# Remove LANGUAGE to avoid mismatches between expected and actual
	# messages in non-English locales (mainly on reproducible-builds)
	# First run the non-flaky tests, and fail the build if they fail (on linux)
	env \
		-u LANG \
		-u LANGUAGE \
		-u LD_PRELOAD \
		DEB_BUILD_TIME_TESTS=1 \
		LC_ALL=C.UTF-8 \
	debian/tests/run-with-locales \
		--generate de_DE=ISO-8859-1 \
		--generate de_DE.utf8 \
		--generate de_DE@euro.utf8 \
		--generate el_GR.utf8 \
		--generate en_GB=ISO-8859-1 \
		--generate en_GB.utf8 \
		--generate en_US=ISO-8859-1 \
		--generate en_US.utf8 \
		--generate es_ES.utf8 \
		--generate fa_IR=UTF-8 \
		--generate fa_IR.utf8 \
		--generate fr_FR.utf8 \
		--generate hr_HR.utf8 \
		--generate ja_JP.utf8 \
		--generate ja_JP.EUC-JP \
		--generate lt_LT.utf8 \
		--generate pl_PL=ISO-8859-2 \
		--generate pl_PL.ISO-8859-2 \
		--generate pl_PL.utf8 \
		--generate ru_RU=ISO-8859-5 \
		--generate ru_RU.utf8 \
		--generate sr_RS=UTF-8 \
		--generate sr_RS@latin=UTF-8 \
		--generate sv_SE=ISO-8859-1 \
		--generate sv_SE.utf8 \
		--generate tr_TR=ISO-8859-9 \
		--generate tr_TR.utf8 \
		--generate tt_RU=UTF-8 \
		--generate tt_RU.utf8 \
		--generate tt_RU@iqtelif=UTF-8 \
		-- \
	dh_auto_test \
		-B debian/build/deb \
		-- \
		--timeout-multiplier $(test_timeout_multiplier) \
		--no-suite flaky \
		--verbose \
	|| $(handle_test_failure)
	# and then run the flaky ones, but ignore them failing
	env \
		-u LANG \
		-u LANGUAGE \
		-u LD_PRELOAD \
		DEB_BUILD_TIME_TESTS=1 \
		LC_ALL=C.UTF-8 \
	dh_auto_test \
		-B debian/build/deb \
		-- \
		--timeout-multiplier $(test_timeout_multiplier) \
		--suite flaky \
		--verbose \
	|| true
endif

# Skip build-time tests if all we are building is documentation;
# running them once per architecture is plenty.
override_dh_auto_test-indep:

ifeq ($(DEB_HOST_ARCH_OS),linux)
enable_libmount := enabled
enable_selinux := enabled
else
enable_libmount := disabled
enable_selinux := disabled
DEB_CONFIGURE_FLAGS_deb := -Dsysprof=disabled
endif

DEB_CONFIGURE_FLAGS_deb += \
	--default-library both \
	-Ddtrace=disabled \
	-Dgir_dir_prefix=lib/${DEB_HOST_MULTIARCH} \
	-Dglib_debug=disabled \
	-Dlibmount=$(enable_libmount) \
	-Dmultiarch=true \
	-Dselinux=$(enable_selinux) \
	-Dsystemtap=disabled \
	$(NULL)

ifneq ($(filter gir1.2-% %-doc,$(built_binaries)),)
ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
DEB_CONFIGURE_FLAGS_deb += --cross-file=$(DEB_HOST_GNU_TYPE)-gobject-introspection.ini
# GLib insists on having an exe_wrapper when we enable introspection,
# even though in Debian, we happen to know that our g-ir-scanner
# automatically uses qemu
DEB_CONFIGURE_FLAGS_deb += --cross-file=$(CURDIR)/debian/meson/exe-wrapper.ini
endif
else
DEB_CONFIGURE_FLAGS_deb += -Dintrospection=disabled
endif

ifneq ($(filter libglib2.0-tests,$(built_binaries)),)
DEB_CONFIGURE_FLAGS_deb += -Dinstalled_tests=true
else
DEB_CONFIGURE_FLAGS_deb += -Dinstalled_tests=false
endif

ifneq ($(filter %-doc,$(built_binaries)),)
