=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  libffi-dev,
  libmount-dev [linux-any],
  libpcre2-dev,
- libselinux1-dev [linux-any],
+ libselinux-dev [linux-any],
  libsysprof-capture-4-dev (>= 3.38.0) [linux-any],
  libxml2-utils,
  linux-libc-dev [linux-any],
@@ -163,7 +163,7 @@
  libglib2.0-0t64 (= ${binary:Version}),
  libmount-dev [linux-any],
  libpcre2-dev,
- libselinux1-dev [linux-any],
+ libselinux-dev [linux-any],
  libsysprof-capture-4-dev (>= 3.38.0) [linux-any],
  pkgconf,
  zlib1g-dev,
