## glib2.0 2.87.3

=== debian/changelog ===
glib2.0 (2.87.3-1) experimental; urgency=medium

  * Update the source using the upstream-generated-tarball
  * debian/control: Update breaks on old gjs and pygobject.
    Versions prior to these have not the fallback code to support the
    GLib/GLibUnix split

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 27 Feb 2026 00:24:46 +0100
